/   /
14 2023

AutoCAD nanoCAD:

, ,


, -


AutoCAD . , nanoCAD, , DWG/DXF.

Lisp , AutoCAD AutoLISP nanoCAD, .

-, . , , Lisp- AutoCAD nanoCAD. .

- - . . , . AutoCAD . , AutoCAD Excel, . AutoLISP.

nanoCAD , -, AutoCAD . nanoCAD AutoCAD, AutoCAD . nanoCAD API , , AutoCAD, . , . nanoCAD, .

. , nanoCAD . MText , AutoCAD. StAddMtext.

  AutoCAD

AutoCAD

  AutoCAD

nanoCAD

;;     MText   . .  AutoCAD 2019
;; /Russian/Help/index.html#!/url=./filesACD/GUID-0A441CDB-21D3-4AA3-A616-7FF4DA8925D2.htm
;; (defun C:Example_AddMtext ()
;; (StAddMtext  0 100 5000 "AAAA dddd ccc" 5 300.0)
(defun StAddMtext (X Y width text just h / ;  
               acadObj adoc modelSpace MTextObj corner) ;  . 
    (if (/= text " ")
    (progn
    (if IsTest (progn (princ "\n10 StAddMtext ")))	
;;     MText   .
    (vl-load-com)
    (setq acadObj (vx-get-acad-object))
    (setq adoc (v-get-ActiveDocument acadObj))
    
    ;;    
    (setq corner (vx-3d-point X Y 0)) ;   Mtext
    ; (setq width 5000)   ;  
    ; (setq text "This is the text String for the mtext Object") ; 

    ;;   mtext
    (setq modelSpace (if(and(zerop(getvar"tilemode"))(= 1 (getvar"cvport")))(v-get-PaperSpace adoc)(v-get-ModelSpace adoc))) 
    ;(setq modelSpace (v-get-ModelSpace adoc))
    (setq MTextObj (v-AddMText modelSpace corner width text))
    ;(v-ZoomAll acadObj)    ;
    ;(v-ZoomExtents acadObj) ; 
    ; (vx-ename->v-object (car (entsel))) ; .   ,   MTextObj
    ;(vx-dump-object(vx-ename->v-object (entst)))   ; 
    (if IsTest (progn (princ "\n10.1 ") (vx-dump-object MTextObj)))   ;      
    ;     AttachmentPoint = 5 (just=5)
    ;Lineweight = -1 -    ,   = 5
    ;(vx-put-property obj property arg)
    (vx-put-property MTextObj 'AttachmentPoint just)
    (vx-put-property MTextObj 'InsertionPoint (list X Y 0))
    (vx-put-property MTextObj 'Height h)
    (if IsTest (progn (princ "\n10.2 StAddMtext ")))
    (princ)
    );progn
    );end if
);
;;     MText


. AutoCAD nanoCAD DFX , .

DFX .

( ):

((-1 . < : 230e01c0490>) (0 . "MULTILEADER") (330 . < : 230e01cb1f0>) (5 . "281") (100 . "AcDbEntity") )

AutoCAD nanoCAD
: (176 . 2) 19
: (176 . 0) 18
: (11 -1.0 0.0 -1.0) 55
: (11 1.0 0.0 0.0) 54


, . , , , entget.

- AutoCAD nanoCAD. , AutoCAD / VisualLISP /, , . nanoCAD ( ), . . VBA #.

( AutoCAD) setq . , (princ "1"), , .

DCL- , Lisp nanoCAD.

, nanoCAD 21.0 MText . , . AutoCAD nanoCAD - . .


ActiveX .

AutoCAD nanoCAD ActiveX , , . ActiveX , COM, C++, C# Visual Basic. , .

, , , .

ActiveX Control, OK :


Private Sub CommandButton1_Click()
    MsgBox " : " & TextBox1.Text 
End Sub 


.ocx. AutoCAD nanoCAD, APPLOAD.

. . Visual Basic, , , :


Public Sub ChangeColor()
    Dim obj As Object
    Set obj = GetObject(, "AutoCAD.Application")
    If obj Is Nothing Then
        Set obj = GetObject(, "nanoCAD.Application")
    End If
    If Not obj Is Nothing Then
        Dim selecSet As Object
        Set selecSet = obj.ActiveDocument.SelectionSets.Add("MySelectionSet")
        selSet.SelectOnScreen
        If selecSet.Count > 0 Then
            Dim ent As Object
            For Each ent In selecSet
                ent.color = 3 ' 
            Next ent
        End If
        selecSet.Delete
    End If
End Sub


.vbs AutoCAD nanoCAD, SCRIPT. , , SCRIPT .

, ActiveX , API .

, ActiveX nanoCAD AutoCAD, , , .



:
:

RSS-

: BIM? !
-

:

 [...] — , CAD TopS BI (26 2024)
isicad Top 10

    isicad:

isicad-2010 isicad-2008
isicad-2006 isicad-2004

isicad.ru - , . - info@isicad.ru

isicad

  • , PLM ERP...


. © 2004-2024 «»

, isicad.ru .
info@isicad.ru.